Bug 844145 - correlation id does not work for add commands
correlation id does not work for add commands
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
Elena
infra
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 07:45 EDT by Elena
Modified: 2016-02-10 14:40 EST (History)
11 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-07-29 07:45:28 EDT
Backend generates automatically correlation id for the following operations:
-create
-update
-delete
-action

Currently correlation-id can be defined via REST API only for action (start/stop vm, restore snapshot, etc.) but not for create, update and delete.
Comment 1 Itamar Heim 2012-07-29 08:33:45 EDT
all actions have correlation id.
ori - please add the details on how to use them
queries are not supported.
Comment 2 Itamar Heim 2012-07-29 11:53:02 EDT
per email discussion - issue is with add commands
Comment 3 Itamar Heim 2012-07-29 11:53:45 EDT
patch posted: http://gerrit.ovirt.org/#/c/6717/
Comment 4 Ori Liel 2012-07-31 01:58:11 EDT
Fixed, commit cd973db3f213d03875ad70901054468d74a30350
Comment 5 Elena 2012-08-07 02:13:15 EDT
Verified in si13

Note You need to log in before you can comment on or make changes to this bug.